Multiple PHP versions with PHPBrew

Discussion in 'Installation/Configuration' started by Tomislav001, May 20, 2017.

  1. Tomislav001

    Tomislav001 New Member

    Hello everyone, i'm new here :)

    I've been using ISPConfig on my servers for some time now
    Mostly on Debian where the default PHP did the trick
    But recently i've installed it on my server that's running Ubuntu 16.04 since Debian "Jessie" was not available in this datacenter

    Naturally as always Ubuntu uses PHP 7.0 but the site i'm going to migrate here needs 5.6
    I'm not a programmer and i don't have a lot of XP with PHP since i've always used the default repo version

    One of my programmer friends said that it's best to use PHPBrew to manage versions, it's nothing special, it just automatically compiles php versions and manages them.
    i've compiled a few versions with is and they're located in /opt/phpbrew/php/
    They work well trough the console but when i add them to the ISPConfig's selector every php script i try to run trough the browser returns error 503
    Here the example on my configuration for php 5.6.25 in the ISPConfig's multiple PHP versions menu

    Path to the PHP FastCGI binary: /opt/phpbrew/php/php-5.6.25/bin/php-cgi
    Path to the php.ini directory: /opt/phpbrew/php/php-5.6.25/etc

    Path to the PHP-FPM init script: /opt/phpbrew/php/php-5.6.25/php5.6.25
    Path to the php.ini directory: /opt/phpbrew/php/php-5.6.25/etc/
    Path to the PHP-FPM pool directory: /opt/phpbrew/php/php-5.6.25/pool.d/


    As for the init script i've copied the original one from /etc/init.d/php5.6-fpm and edited the paths to lead to the compiled version in /opt/
    What did i do wrong?

    is there any way to use the repository installed version with ISPConfig since i have PHP7.0-FPM and PHP5.6-FPM installed trough repos on my server

    Should i try to compile a php version under web1 user??

    Thank you for letting me post this here :)
     

Share This Page